Package org.apache.sysds.runtime.matrix.operators

# Class AggregateUnaryOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnarySketchOperator`

public class AggregateUnaryOperator extends MultiThreadedOperator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final AggregateOperator`
`aggOp`
`final IndexFunction`
`indexFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop)`
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop, int numThreads)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isColAggregate()`
`boolean`
`isFullAggregate()`
`boolean`
`isRowAggregate()`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### aggOp

public final AggregateOperator aggOp

### indexFn

public final IndexFunction indexFn

## Constructor Details

### AggregateUnaryOperator

public AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop)

### AggregateUnaryOperator

public AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop, int numThreads)

## Method Details

### isRowAggregate

public boolean isRowAggregate()

### isColAggregate

public boolean isColAggregate()

### isFullAggregate

public boolean isFullAggregate()

### toString

public String toString()

Overrides:
  `toString` in class `Object`